# IEdge Struct Reference
[External Interfaces]

Inheritance diagram for IEdge:

List of all members.

## Public Member Functions
virtual I3DExVertex *MCCOMAPI | GetVertex (int32 index)=0
virtual void MCCOMAPI | Delete ()=0
virtual void MCCOMAPI | GetBoundingBox (TBBox3D &bbox)=0
virtual void MCCOMAPI | SetSelection (boolean selected, boolean autoSelection=true)=0
virtual boolean MCCOMAPI | GetSelection (boolean useSymmetry=false)=0
virtual I3DExVertex *MCCOMAPI | Subdivide (const real32 ratio=kRealOneHalf)=0
virtual void MCCOMAPI | GetPolymesh (IPolymesh **iPolymesh)=0
virtual I3DExVertex *MCCOMAPI | GetOtherVertex (I3DExVertex *vertex)=0
virtual boolean MCCOMAPI | GetCrease () const =0
virtual void MCCOMAPI | SetCrease (boolean crease)=0
virtual boolean MCCOMAPI | GetSeam () const =0
virtual void MCCOMAPI | SetSeam (boolean seam)=0
virtual IPolygon *MCCOMAPI | GetPolygon (int32 index)=0
virtual int32 MCCOMAPI | GetNbPolygons ()=0
virtual real MCCOMAPI | Length ()=0
virtual IPolygon *MCCOMAPI | GetOtherPolygon (IPolygon *polygon)=0
virtual IEdge *MCCOMAPI | CloneConjugate ()=0
virtual void MCCOMAPI | UnlinkDelete ()=0
virtual void MCCOMAPI | GetName (char *name)=0
virtual void MCCOMAPI | SetName (char *name)=0
virtual boolean MCCOMAPI | GetBestPlane (TVector3 &ii, TVector3 &jj, TVector3 &kk, TVector3 &center)=0
virtual void MCCOMAPI | PropagateEdgeSelection (real angle)=0
virtual int32 MCCOMAPI | GetSelectedPolylinePositions (TMCArray< TVector3 > &selectedPolylinePos, TVector3 &normal, TVector3 &center, int32 constraints, boolean useSymmetry)=0
virtual IEdge *MCCOMAPI | GetSymmetricalEdge ()=0
| Gets the symmetrical edge if any in the mesh and if the symmetrical modeling is enabled.

## Detailed Description

IEdge is the interface to access an edge of the vertex primitive (see I3DExVertexPrimitive).

## Member Function Documentation

virtual IEdge* MCCOMAPI IEdge::CloneConjugate | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IEdge::Delete | ( |  | ) | `[pure virtual]`

Deletes the edge.

virtual boolean MCCOMAPI IEdge::GetBestPlane | ( | TVector3 & | ii,
|  | TVector3 & | jj,
|  | TVector3 & | kk,
|  | TVector3 & | center |
| ) |  |  | `[pure virtual]`

Returns a coordinate system based on the edge and the adjacents polygons

Parameters:

  | ii | vector in the plane
  | jj | vector in the plane
  | kk | returned vector perpendicular to the plane
  | center | returned the mid edge point

Returns:
  false if couldn't build a consistant system

virtual void MCCOMAPI IEdge::GetBoundingBox | ( | TBBox3D & | bbox | ) | `[pure virtual]`

virtual boolean MCCOMAPI IEdge::GetCrease | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IEdge::GetName | ( | char * | name | ) | `[pure virtual]`

Returns the name of edge.

Parameters:

  | name | The name of the edge.

virtual int32 MCCOMAPI IEdge::GetNbPolygons | ( |  | ) | `[pure virtual]`

virtual IPolygon* MCCOMAPI IEdge::GetOtherPolygon | ( | IPolygon * | polygon | ) | `[pure virtual]`

virtual I3DExVertex* MCCOMAPI IEdge::GetOtherVertex | ( | I3DExVertex * | vertex | ) | `[pure virtual]`

virtual IPolygon* MCCOMAPI IEdge::GetPolygon | ( | int32 | index | ) | `[pure virtual]`

virtual void MCCOMAPI IEdge::GetPolymesh | ( | IPolymesh ** | iPolymesh | ) | `[pure virtual]`

virtual boolean MCCOMAPI IEdge::GetSeam | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI IEdge::GetSelectedPolylinePositions | ( | TMCArray< TVector3 > & | selectedPolylinePos,
|  | TVector3 & | normal,
|  | TVector3 & | center,
|  | int32 | constraints,
|  | boolean | useSymmetry |
| ) |  |  | `[pure virtual]`

virtual boolean MCCOMAPI IEdge::GetSelection | ( | boolean | useSymmetry = `false` | ) | `[pure virtual]`

virtual IEdge* MCCOMAPI IEdge::GetSymmetricalEdge | ( |  | ) | `[pure virtual]`

Gets the symmetrical edge if any in the mesh and if the symmetrical modeling is enabled.

virtual I3DExVertex* MCCOMAPI IEdge::GetVertex | ( | int32 | index | ) | `[pure virtual]`

Returns a pointer to the vertices of the edge.

Parameters:

  | index | The index of the vertices (0 or 1).

virtual real MCCOMAPI IEdge::Length | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IEdge::PropagateEdgeSelection | ( | real | angle | ) | `[pure virtual]`

virtual void MCCOMAPI IEdge::SetCrease | ( | boolean | crease | ) | `[pure virtual]`

virtual void MCCOMAPI IEdge::SetName | ( | char * | name | ) | `[pure virtual]`

Sets the name of edge.

Parameters:

  | name | The name of the edge.

virtual void MCCOMAPI IEdge::SetSeam | ( | boolean | seam | ) | `[pure virtual]`

virtual void MCCOMAPI IEdge::SetSelection | ( | boolean | selected,
|  | boolean | autoSelection = `true` |
| ) |  |  | `[pure virtual]`

Select or unselect the edge. Depending on the mode used, edges and polygons around can be selected

Parameters:

  | selected | True if the edge is selected.
  | autoSelection |

virtual I3DExVertex* MCCOMAPI IEdge::Subdivide | ( | const real32 | ratio = `kRealOneHalf` | ) | `[pure virtual]`

virtual void MCCOMAPI IEdge::UnlinkDelete | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IEdge.h